XDR_RESERVE_SPACE(9)

NAME
xdr_reserve_space - Reserve buffer space for sending

SYNOPSIS

__be32 * xdr_reserve_space(struct xdr_stream * xdr, size_t nbytes);

ARGUMENTS

xdr
    pointer to xdr_stream

nbytes
    number of bytes to reserve

DESCRIPTION

Checks that we have enough buffer space to encode 'nbytes' more bytes of data. If so, update the total xdr_buf length, and adjust the length of the current kvec.

COPYRIGHT